@font-face {
    font-family: "Bluu Next";
    src: url("./bluunext-bolditalic-webfont.woff2") format("woff2");
    font-weight: 700;
    font-style: italic;
    font-display: swap;
}

body {
    color: #fff;
    background-color: #585e6e;
    font-family: "NimbusSanL", sans-serif;
    font-size: 16px;
    text-shadow: 0px 0px 4px rgba(0, 0, 0, 0.1);
    padding: 80px 0;
}

body::before {
    animation: backgroundMotion 12s ease-in-out 0s infinite alternate;
    background-image: url("./surf-small.webp");
    background-color: #585e6e;
    background-size: cover;
    background-attachment: fixed;
    content: "";
    display: block;
    position: fixed;
    bottom: 0px;
    left: 0px;
    width: 150vw;
    height: 150vh;
}

a {
    color: #fff;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Young Serif", serif;
    line-height: 1.1;
}
h1 {
    font-size: 64px;
    font-family: "Bluu Next", serif;
    font-style: italic;
    letter-spacing: -3.3px;
    line-height: 0.75;
    mix-blend-mode: overlay;
    text-shadow: 0px 0px 3px rgba(0, 0, 0, 0.75);
}
h2 {
    font-size: 20px;
}
h3 {
    font-size: 26px;
    min-width: 20%;
}

.container {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    flex-flow: column;
    gap: 10px;
}
.blend-mode-container {
    border-radius: 30px;
    padding: 40px;
    display: flex;
    flex-flow: column;
    gap: 20px;
    position: relative;
    border: 1px red;
    width: 80%;
}
.blend-mode-container::before {
    background: rgba(0, 0, 0, 0.7);
    border: 20px solid rgb(149, 176, 194);
    mix-blend-mode: soft-light;
    content: "";
    pointer-events: none;
    position: absolute;
    top: -5px;
    left: -5px;
    width: 100.5%;
    height: 100.5%;
    border-radius: 50px;
    padding: 40px;
    animation: slideAroundNegative 3s ease-in-out 0s infinite alternate;
}
.blend-mode-container::after {
    background: rgba(255, 90, 65, 0.8);
    border: 20px solid rgba(255, 100, 50, 1);
    mix-blend-mode: difference;
    content: "";
    pointer-events: none;
    position: absolute;
    top: 5px;
    left: 5px;
    width: 99%;
    height: 97%;
    border-radius: 50px;
    padding: 40px;
    animation: slideAround 4s ease-in-out 0s infinite alternate;
}
.brand-container::before {
    animation-duration: 8s;
}
.brand-container::after {
    animation-duration: 9s;
}
.tech-container::before {
    animation-duration: 5s;
}
.tech-container::after {
    animation-duration: 7s;
}

.title {
    align-self: baseline;
}
.content {
    mix-blend-mode: normal;
    display: flex;
    flex-flow: column;
    gap: 20px;
}
.social-links {
    display: flex;
    gap: 10px;
}
.social-links a {
    display: block;
    padding: 10px;
    border-radius: 10px;
}
.social-links a:hover {
    background: rgba(255, 255, 255, 0.5);
}
.social-links img {
    height: 20px;
    width: 20px;
    display: block;
}
.social-links .no-link {
    padding: 10px;
}
.brands {
    list-style-type: none;
    padding-left: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-bottom: 10px;
}
.brands li {
    font-weight: 700;
    flex-grow: 1;
    background-color: rgba(0, 0, 0, 0.5);
    text-align: center;
    padding: 10px 5px;
    border-radius: 4px;
}
.footer {
    font-size: 14px;
    mix-blend-mode: overlay;
}

@media (min-width: 361px) {
    body::before {
        background-position: center left;
        background-image: url("./surf-mobile.webp");
    }
    h1 {
        font-size: 72px;
    }
    h2 {
        font-size: 24px;
    }
}

@media (min-width: 1260px) {
    body::before {
        background-position: center;
        background-image: url("./surf-desktop.webp");
        top: 0px;
        right: 0px;
        height: 100vh;
        width: 100vw;
        animation: unset;
    }
    h1 {
        font-size: 96px;
    }
    .blend-mode-container {
        flex-flow: row;
        width: 55%;
        min-width: 540px;
        padding: 40px;
    }
    .title {
        align-self: flex-end;
    }
    .social-links {
        gap: 20px;
    }
    .brands {
        margin-bottom: 0;
    }
}

@keyframes slideAround {
    from {
        transform: translate(0, 0) skew(-0.5deg, 0.25deg);
    }
    to {
        transform: translate(0.5vh, 0.5vw) skew(-0.5deg, 0.25deg);
    }
}

@keyframes slideAroundNegative {
    from {
        transform: translate(0, 0) skew(0.5deg, -0.25deg);
    }
    to {
        transform: translate(0.5vh, 0.5vw) skew(0.5deg, -0.25deg);
    }
}

@keyframes backgroundMotion {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-6vw);
    }
}

@keyframes backgroundMotionVertical {
    from {
        transform: translateY(0);
    }
    to {
        transform: translateY(-6vw);
    }
}
